ruby1.8 1.8.7.352-2ubuntu1 source package in Ubuntu

Changelog

ruby1.8 (1.8.7.352-2ubuntu1) precise; urgency=low

  * SECURITY UPDATE: Denial of service via crafted hash table keys
    (LP: #943451)
    - debian/patches/CVE-2011-4815.patch: Add randomness to the key hashing
      algorithm to prevent predictable results when inserting objects into a
      hash table. Based on upstream patch.
    - CVE-2011-4815
 -- Tyler Hicks <email address hidden>   Wed, 29 Feb 2012 12:11:48 -0600

Upload details

Uploaded by:
Tyler Hicks on 2012-03-03
Sponsored by:
Jamie Strandboge
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
interpreters
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2012-03-03 main interpreters

Downloads

File Size SHA-256 Checksum
ruby1.8_1.8.7.352.orig.tar.gz 4.7 MiB 2325b9f9ab2af663469d057c6a1ef59d914a649808e9f6d1a4877c8973c2dad0
ruby1.8_1.8.7.352-2ubuntu1.debian.tar.gz 51.2 KiB 71e225cc36932a6133c82e35f473a77d8ea31f204c4db388595835b6fcd0f72e
ruby1.8_1.8.7.352-2ubuntu1.dsc 2.5 KiB b5c98949c2d2812e8453de988ce268a11b056a68dfc2db22298067ca696acb89

View changes file

Binary packages built by this source

libruby1.8: Libraries necessary to run Ruby 1.8

 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming. It has many features to process text
 files and to do system management tasks (as in perl). It is simple,
 straight-forward, and extensible.
 .
 This package includes the libruby, necessary to run Ruby 1.8.

libruby1.8-dbg: Debugging symbols for Ruby 1.8

 Contains debugging symbols for libruby1.8.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps. Most people will not need this package.

libtcltk-ruby1.8: No summary available for libtcltk-ruby1.8 in ubuntu quantal.

No description available for libtcltk-ruby1.8 in ubuntu quantal.

ri1.8: Ruby Interactive reference (for Ruby 1.8)

 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides the ri documentation for the Ruby 1.8 standard library.
 The ri1.8 executable itself is in the ruby1.8 package.

ruby1.8: No summary available for ruby1.8 in ubuntu quantal.

No description available for ruby1.8 in ubuntu quantal.

ruby1.8-dev: Header files for compiling extension modules for the Ruby 1.8

 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming. It has many features to process text
 files and to do system management tasks (as in perl). It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 1.8.

ruby1.8-examples: No summary available for ruby1.8-examples in ubuntu quantal.

No description available for ruby1.8-examples in ubuntu quantal.

ruby1.8-full: No summary available for ruby1.8-full in ubuntu quantal.

No description available for ruby1.8-full in ubuntu quantal.